Page MenuHomePhabricator

Outline control widget wrong focus order
Closed, ResolvedPublicBUG REPORT

Description

Steps to Reproduce:

  • Launch a wiki page
  • Navigate till "Edit " and hit enter
  • Navigate till "Template", hit enter.
  • Enter "Test" in "Add a Template" edit box and hit enter on "Add Template" button.
  • Navigate to "Show Options" control and hit enter.
  • Observe focus order on move and delete buttons

Actual Results:

  • Focus order on move and delete buttons are not logical

Expected Results:

  • Focus order should always be left to right, top to bottom

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 12 2020, 10:03 PM

Change 605968 had a related patch set uploaded (by Bkudiess-msft; owner: Bkudiess-msft):
[oojs/ui@master] Fixes outline control widget focus order

https://gerrit.wikimedia.org/r/605968

Volker_E moved this task from Backlog to Reviewing on the OOUI board.Jun 23 2020, 11:49 PM

Change 605968 merged by jenkins-bot:
[oojs/ui@master] OutlineControlsWidget: Fix outline controls focus order

https://gerrit.wikimedia.org/r/605968

Volker_E closed this task as Resolved.Jun 24 2020, 9:10 PM
Volker_E triaged this task as Low priority.
Volker_E moved this task from Reviewing to OOUI-0.39.3 on the OOUI board.
Volker_E edited projects, added OOUI (OOUI-0.39.3); removed OOUI.

Change 611174 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.39.3

https://gerrit.wikimedia.org/r/611174

Change 611174 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.39.3

https://gerrit.wikimedia.org/r/611174